%define module pyudev

Summary: A libudev binding
Name: python-%{module}
Version: 0.16.1
Release: %mkrel 6
Source0: http://pypi.python.org/packages/source/p/%{module}/%{module}-%{version}.tar.gz
License: LGPLv2+
URL: http://pypi.python.org/pypi/pyudev
Group: Development/Python
BuildArch: noarch
BuildRequires: python-setuptools
Provides: python-udev = %{version}-%{release}
Provides: pyudev = %{version}-%{release}
Obsoletes: pyudev < 0.16.1-4
Requires: udev
Suggests: python-qt4
Suggests: python-gobject

%description
pyudev is a Python binding to libudev, the hardware management library
and service found in modern linux systems.

%package -n python3-%{module}
Summary: A libudev binding
Group: Development/Python
BuildRequires: python3-setuptools
Provides: python3-udev = %{version}-%{release}
Suggests: python3-qt4

%description -n python3-%{module}
pyudev is a Python binding to libudev, the hardware management library
and service found in modern linux systems.

%prep
%setup -q -n %{module}-%{version}
cp -a . %{py3dir}

%build
%{__python} setup.py build

pushd %{py3dir}
%{__python3} setup.py build
popd

%install
%{__python} setup.py install -O1 --skip-build --root=%buildroot

pushd %{py3dir}
%{__python3} setup.py install -O1 --skip-build --root=%buildroot
popd

%files
%{python_sitelib}/*

%files -n python3-%{module}
%{python3_sitelib}/*


%changelog
* Tue Oct 22 2013 umeabot <umeabot> 0.16.1-6.mga4
+ Revision: 544166
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.16.1-5.mga4
+ Revision: 499275
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Sep 15 2013 philippem <philippem> 0.16.1-4.mga4
+ Revision: 480072
- rename pyudev as python-pyudev
- rename pyudev as python-pyudev

* Wed Sep 11 2013 philippem <philippem> 0.16.1-3.mga4
+ Revision: 477734
- add Python 3

* Sun Jan 13 2013 umeabot <umeabot> 0.16.1-2.mga3
+ Revision: 379758
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 26 2012 fwang <fwang> 0.16.1-1.mga3
+ Revision: 310280
- new version 0.16.1

* Fri Dec 16 2011 tv <tv> 0.13-1.mga2
+ Revision: 182863
- new release

* Sat Oct 08 2011 fwang <fwang> 0.12-1.mga2
+ Revision: 152901
- imported package pyudev

